summaryrefslogtreecommitdiffstats
path: root/source/d/make/make.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/make/make.SlackBuild')
-rwxr-xr-xsource/d/make/make.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/source/d/make/make.SlackBuild b/source/d/make/make.SlackBuild
index 18f701b6a..2e70788d4 100755
--- a/source/d/make/make.SlackBuild
+++ b/source/d/make/make.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
PKGNAM=make
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -73,6 +73,8 @@ find . \
# Fix a problem using make-3.82 to build Android:
zcat $CWD/make-3.82-android-build-fix.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/make-3.82-bugfixes.patch.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \